General News & Announcements

General news and announcements


Page: 1 2 3 4 ()
DiscussionStarted byRepliesLast post
PinnedList of Course Offered FY2019 by The Department of Management and Humanities Picture of Des Iskandar IsmailDes Iskandar Ismail 0 Des Iskandar Ismail
Thu, 27 Dec 2018, 2:45 PM
PinnedMODIFIED CURRICULUM STRUCTURE: APPLICABLE TO ALL UNDERGRADUATE PROGRAMMES EFFECTIVE IN MAY 2018 SEMESTER Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Thu, 31 May 2018, 8:24 AM
GOOD LUCK AND ALL THE BEST!! Picture of Admin UserAdmin User 0 Admin User
Fri, 5 Apr 2019, 9:22 AM
STUDENT'S EVENT CALENDAR - APRIL 2019 Picture of Admin UserAdmin User 0 Admin User
Tue, 2 Apr 2019, 3:44 PM
STUDENT EVENT CALENDER: MARCH 2019 Picture of Admin UserAdmin User 0 Admin User
Mon, 18 Mar 2019, 9:54 AM
Road Transport Department (JPJ) Talk Picture of Admin UserAdmin User 0 Admin User
Fri, 15 Mar 2019, 4:02 PM
CREDITED CO-CURRICULUM CLASS SCHEDULE ON SATURDAY FOR UG AND FOUNDATION STUDENTS StudentIDTestManiza bt Mansor 0 Maniza bt Mansor
Wed, 13 Mar 2019, 4:27 PM
UTP STUDENT INTEGRITY CAMPAIGN - REGISTRATION FOR POSTER DESIGN COMPETITION Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Wed, 13 Mar 2019, 10:01 AM
REGISTRY: Request Form Picture of Admin UserAdmin User 0 Admin User
Mon, 4 Mar 2019, 3:57 PM
UTP STUDENT INTEGRITY CAMPAIGN - REGISTRATION FOR PUBLIC SPEAKING COMPETITION Picture of Admin UserAdmin User 0 Admin User
Wed, 27 Feb 2019, 10:18 AM
UTP STUDENT INTEGRITY CAMPAIGN Picture of Admin UserAdmin User 0 Admin User
Thu, 21 Feb 2019, 2:28 PM
IRC New Service: WhatApps@IRC Picture of Admin UserAdmin User 0 Admin User
Mon, 18 Feb 2019, 11:47 AM
NILAM 4.0 Contest Organized by IRC [JOIN US NOW] Picture of Admin UserAdmin User 0 Admin User
Tue, 12 Feb 2019, 9:40 AM
BOOKFACE8UTP Selfie Contest Organized by IRC [JOIN US NOW] Picture of Admin UserAdmin User 0 Admin User
Tue, 12 Feb 2019, 9:40 AM
SHARING SESSION: Upin & Ipin Keris Siamang Tunggal Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Mon, 11 Feb 2019, 4:27 PM
Student Advisory System (SAS) List for January 2019 semester Picture of Admin UserAdmin User 0 Admin User
Fri, 25 Jan 2019, 11:40 AM
COURSE OFFERED FOR STRUCTURED PROGRAMMING DATABASE SYSTEMS Picture of Admin UserAdmin User 0 Admin User
Wed, 23 Jan 2019, 10:19 AM
Briefing for Student Industrial Internship Programme May 2019 Semester Picture of Admin UserAdmin User 0 Admin User
Wed, 9 Jan 2019, 3:51 PM
IRC - Information Literacy Program for Jan 2019 Semester Picture of Admin UserAdmin User 0 Admin User
Tue, 8 Jan 2019, 12:09 PM
ULEARN - ADD & DROP WEEK FOR JANUARY 2019 SEMESTER (UNDERGRADUATE) Picture of Admin UserAdmin User 0 Admin User
Thu, 27 Dec 2018, 10:43 AM
Academic Calendar FY2019 Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Fri, 21 Dec 2018, 3:43 PM
PROGRAM OUTCOME SURVEY AND CLEARANCE (UNDERGRADUATE) (SEPT 2018 - BATCH 1) Picture of Admin UserAdmin User 0 Admin User
Mon, 17 Dec 2018, 12:55 PM
Registration for Student Industrial Internship Programme May 2019 Semester Picture of Admin UserAdmin User 0 Admin User
Mon, 17 Dec 2018, 9:24 AM
NOTIFICATION: UTP WEBSITE & USHARE UPGRADE Picture of Admin UserAdmin User 0 Admin User
Fri, 14 Dec 2018, 2:48 PM
PTPTN Picture of Admin UserAdmin User 0 Admin User
Mon, 10 Dec 2018, 9:22 AM
DIY Add and Drop from Registration & Examination Department Picture of Admin UserAdmin User 0 Admin User
Thu, 6 Dec 2018, 12:18 PM
TO ALL FOUNDATION STUDENTS NOVEMBER 2018 SEMESTER ENROLLING TO COURSE KFB1051: CAKLEMPONG I & SWIMMING I StudentIDTestManiza bt Mansor 0 Maniza bt Mansor
Wed, 5 Dec 2018, 11:06 AM
GUIDELINES TO ADD/DROP COURSES Picture of Admin UserAdmin User 0 Admin User
Wed, 28 Nov 2018, 2:12 PM
YAYASAN UTP-SCHLUMBERGER | POSTGRADUATE SCHOLARSHIP Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Thu, 1 Nov 2018, 11:53 AM
BRIEFING ON SAFETY & HEALTH OFFICER (SHO) CERTIFICATION Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Thu, 18 Oct 2018, 2:22 PM
Volunteers for Focus Group Discussion on Re-imagining Teaching and Learning Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Mon, 15 Oct 2018, 12:38 PM
Collection of Examination Slip Picture of Nurhannan Bt M YusofNurhannan Bt M Yusof 0 Nurhannan Bt M Yusof
Tue, 9 Oct 2018, 8:22 PM
Students' Choice Award Survey Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Mon, 8 Oct 2018, 12:43 PM
Student Advisory System for September 2018 Semester Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Tue, 2 Oct 2018, 3:30 PM
Academic Excellence Incentive Award Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Wed, 26 Sep 2018, 10:14 AM
PTPTN: To all courses (include Applied Physics & Applied Chemistry) Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Wed, 26 Sep 2018, 10:07 AM
Engagement Session with our 1st Year, 1st semester students (September 2018 semester) Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Tue, 25 Sep 2018, 5:47 PM
CO-CURRICULUM CLASS SESSION SELECTIONS VIA ULEARN FOR (UG SEPTEMBER SEMESTER 2018) Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Sun, 23 Sep 2018, 12:43 PM
CIMB: 3D CONQUEST Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Fri, 21 Sep 2018, 3:42 PM
Registration and Briefing for Student Industrial Internship Programme January 2019 Semester Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Wed, 19 Sep 2018, 12:50 PM
ALL STUDENTS: KSP1141 : SWIMMING NOT TO BE OFFER (UG SEPTEMBER SEMESTER 2018) StudentIDTestManiza bt Mansor 0 Maniza bt Mansor
Tue, 18 Sep 2018, 10:02 AM
PERMOHONAN SKIM BANTUAN BAGI PROGRAM IJAZAH SARJANA MUDA (SEMESTER SEPTEMBER 2018) Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Thu, 6 Sep 2018, 4:40 PM
KURSUS PRA PERKAHWINAN Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Thu, 6 Sep 2018, 4:02 PM
ANNOUNCEMENT: ULEARN - ADD & DROP WEEK FOR SEPTEMBER 2018 SEMESTER (UNDERGRADUATE) Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Tue, 4 Sep 2018, 3:18 PM
PLANNED SERVICE DOWNTIME: UCAMPUS (COMPLETED) Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Thu, 30 Aug 2018, 4:33 PM
PUBLIC AND REPLACEMENT HOLIDAYS Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Thu, 2 Aug 2018, 11:15 AM
CO-CURRICULUM TIME TABLE FOR JULY 2018 SEMESTER (FOUNDATION) Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Mon, 30 Jul 2018, 10:58 AM
CO-CURRICULUM CLASS ENROLLMENT Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Mon, 30 Jul 2018, 10:50 AM
NOTIFICATION ON FINAL EXAMINATION DATE Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Mon, 30 Jul 2018, 10:19 AM
Important Announcement to All Chemical Engineering Students Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Tue, 17 Jul 2018, 10:04 AM
UG Programming Tutors WANTED! Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Thu, 12 Jul 2018, 11:37 AM
ACS: Public Holiday Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Tue, 5 Jun 2018, 2:33 PM
WHAT ARE OUR VALUES AS UTP CITIZENS? Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Mon, 4 Jun 2018, 12:30 PM
PLANNED SERVICE DOWNTIME: ULearn Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Thu, 31 May 2018, 3:56 PM
Credited Co-Curriculum UG May 2018 Semester Class Session Registration Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Wed, 23 May 2018, 2:47 PM
Registration and Briefing for Student Industrial Internship Programme September 2018 Semester Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Tue, 22 May 2018, 10:02 AM
COURSE TO BE CLOSE & TIME TABLE UPDATE (MAY 2018 SEMESTER)** Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Mon, 21 May 2018, 12:46 PM
Minimum Passing Mark for Final Examination Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Tue, 15 May 2018, 9:00 AM
Undergraduate May 2018 Online Enrolment Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Fri, 4 May 2018, 10:24 AM
Postgraduate by Coursework May 2018 Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Thu, 3 May 2018, 4:11 PM
UTP Alumni Membership Card - final year student Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Thu, 3 May 2018, 12:06 PM
PLANNED SERVICE DOWNTIME: UCampus Picture of Nurhannan Bt M YusofNurhannan Bt M Yusof 0 Nurhannan Bt M Yusof
Wed, 18 Apr 2018, 10:53 AM
UNIFIED CUSTOMER SERVICES (UCS) Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Wed, 4 Apr 2018, 2:03 PM
PERMOHONAN PTPTN PERINGKAT IJAZAH Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Wed, 4 Apr 2018, 11:11 AM
GAMUDA SCHOLARSHIP 2018 Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Tue, 3 Apr 2018, 10:51 AM
MIDF EDUCATION ASSISTANCE PROGRAMME 2018 Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Tue, 3 Apr 2018, 10:51 AM
Important Announcement: To all Foundation Students of March 2018 Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Tue, 3 Apr 2018, 10:35 AM
Attention to all Foundation students for the semester of March 2018 Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Tue, 3 Apr 2018, 10:33 AM
Technical Writing Workshop Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Thu, 29 Mar 2018, 12:05 PM
MicroBiz and TechnoSeed Funds Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Tue, 20 Mar 2018, 9:37 AM
Dissemination of Info on Financial Assistance for UTP Foundation March Semester 2018 (For Malaysian Muslim Only) Under Tabung Amanah Zakat UTP Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Fri, 16 Mar 2018, 2:26 PM
ADVANCE YOUR FUTURE WITH GAMUDA Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Wed, 14 Mar 2018, 9:35 AM
UNIFIED CUSTOMER SERVICES (UCS) Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Wed, 14 Mar 2018, 9:00 AM
ENGAGEMENT SESSION WITH FINAL YEAR STUDENTS Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Tue, 13 Mar 2018, 3:19 PM
PTPTN APPLICATION FOR FOUNDATION INTAKE MARCH 2018 Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Wed, 7 Mar 2018, 3:30 PM
Final Year Final Semester Engineering Students Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Fri, 2 Mar 2018, 10:20 AM
UTP Quality Day - PEOPLE'S CHOICE AWARDS Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Fri, 23 Feb 2018, 10:50 AM
ACS: UTP New Academic Semester System Roadshow Briefing Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Wed, 21 Feb 2018, 3:18 PM
SRCUTP17/18 PUBLIC ENGAGEMENT - PLATFORM FOR OPEN DISCUSSION Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Wed, 21 Feb 2018, 9:34 AM
ALL STUDENTS: UTP GYM SCHEDULED SESSION StudentIDTestManiza bt Mansor 0 Maniza bt Mansor
Mon, 19 Feb 2018, 12:55 PM
KAS1041: Event Management Class - January 2018 Semester Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Thu, 8 Feb 2018, 3:45 PM
Notice of Closure for Centre for Student Development (CSD) Offices Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Thu, 8 Feb 2018, 3:23 PM
TAWARAN PINJAMAN PENGAJIAN TINGGI KERAJAAN NEGERI PERAK DARUL RIDZUAN SESI 2018/2019 Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Wed, 7 Feb 2018, 11:28 AM
UNLEASH YOUR TRUE POTENTIAL Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Fri, 2 Feb 2018, 11:57 AM
STUDENT ATTENDANCE & MONITORING SYSTEM Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Fri, 2 Feb 2018, 11:31 AM
Frequently Asked Questions - PTPTN Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Thu, 1 Feb 2018, 9:21 AM
NALS Series UTP - Affordable, Clean & Sustainable Energy: Why it Matters? Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Tue, 23 Jan 2018, 4:26 PM
PROGRAM PEMBIAYAAN PENDIDIKAN TUNAS POTENSI DARI YAYASAN PENERAJU PENDIDIKAN BUMIPUTERA 2018 Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Mon, 22 Jan 2018, 2:56 PM
CREDITED CO-CURRICULUM PROGRAMME JANUARY 2018 SEMESTER Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Thu, 18 Jan 2018, 5:07 PM
Permohonan PTPTN Peringkat Ijazah Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Tue, 16 Jan 2018, 4:19 PM
Registration and Briefing for Student Industrial Internship Programme May 2018 Semester Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Tue, 16 Jan 2018, 2:15 PM
Permohonan Skim Bantuan bagi Program Ijazah Sarjana Muda (Semester Januari 2018) Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Fri, 12 Jan 2018, 4:44 PM
ACS - Attendance System Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Fri, 12 Jan 2018, 9:47 AM
PERMOHONAN SKIM BANTUAN ZAKAT BAGI PROGRAM ASASI SEMESTER NOVEMBER 2017 Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Tue, 19 Dec 2017, 2:41 PM
Student Administration Services Unit Of Student Support Services Department | Customer Feedback Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Fri, 8 Dec 2017, 3:58 PM
FOUNDATION NOVEMBER 2017 SEMESTER ONLY Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Thu, 30 Nov 2017, 11:33 AM
FOUNDATION - NOVEMBER 2017 SEMESTER Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Wed, 29 Nov 2017, 10:55 AM
40th SCIENCE & ENGINEERING DESIGN EXHIBITION (SEDEX40) Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Tue, 28 Nov 2017, 10:56 AM
REVISED FINAL EXAMINATION DATE Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Tue, 28 Nov 2017, 10:28 AM
FOUNDATION - NOVEMBER 2017 SEMESTER Picture of Hamidah Bt NasaruddinHamidah Bt Nasaruddin 0 Hamidah Bt Nasaruddin
Mon, 27 Nov 2017, 10:45 AM
Page: 1 2 3 4 ()